%define __provides_exclude_from ^%{_libdir}/recoll/librecoll\\.so.*$
%define __requires_exclude      ^librecoll\\.so.*$
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           recoll
Version:        1.19.11p1
Release:        %mkrel 2
Summary:        Desktop full text search tool with a Qt GUI
URL:            http://www.lesbonscomptes.com/recoll/
Group:          Databases
License:        GPLv2
Source0:        http://www.lesbonscomptes.com/recoll/%{name}-%{version}.tar.gz

BuildRequires:  xapian-devel
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  pkgconfig(zlib)

Requires:       xapian
Requires:       qt4-common

%description
Recoll is a personal full text search package for Linux, FreeBSD and
other Unix systems. It is based on a very strong backend (Xapian), for
which it provides an easy to use, feature-rich, administration
interface.

#------------------------------------------------------
%package -n %{name}-extra
Summary:        Recoll extra indexing packages
Group:          File tools
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

Suggests:       antiword
Suggests:       aspell-en
Suggests:       catdoc
Suggests:       djvulibre
Suggests:       libwpd-tools
Suggests:       mutagen
Suggests:       perl-Image-ExifTool
Suggests:       poppler
Suggests:       pstotext
Suggests:       python
Suggests:       python-chm
Suggests:       python-midi
Suggests:       python-rarfile
Suggests:       texlive
Suggests:       unrar
Suggests:       unrtf
Suggests:       unzip
Suggests:       xsltproc

%description -n %{name}-extra
This package contains a list of packages' suggestions
for indexing various file types by recoll:

* unzip and xsltproc for LibreOffice files.
* Poopler(pdftotext) for PDF files.
* pstotext for Postscript files.
* antiword for MS Word files.
* catdoc for MS Excel and PowerPoint files.
* xsltproc for MS Open XML (docx).
* libwpd-tools for Wordperfect files.
* unrtf for RTF files.
* texlive :
    detex for TeX files.
    dvips for div files.
* djvulibre (djvutxt djvused) for djvu files.
* mutagen for all audio file types.
* perl-Image-ExifTool to extract tag informations:
    This is only of interest if you store personal tags
    or textual descriptions inside the image files.
* python-chm: for microsoft help format files.
* Zip archives need Python (and the standard zipfile module).
* Rar archives need Python, the rarfile Python module and the unrar utility.
* Midi karaoke files need Python and the Midi module

#-------------------------------------------------------
%package -n python-%{name}
Summary:        Python extension module for recoll
Group:          Development/Python

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       python
Requires:       %{name} = %{version}-%{release}

%description -n python-%{name}
Recoll Python programming interface, for searching and indexing.

#--------------------------------------------------------
%package -n kio-%{name}
Summary:        KIO slave for %{name}
Group:          Graphical desktop/KDE

BuildRequires:  cmake
BuildRequires:  kdelibs4-devel

Requires:       %{name} = %{version}-%{release}
Requires:       kdebase4-workspace
Suggests:       plasma-runner-recoll

%description -n kio-%{name}
KIO slave for %{name}. Enables to perform queries and extract
results in Konqueror and Dolphin.

#-------------------------------------------------------
%package -n %{name}-full
Summary:        Full Recoll installation
Group:          Office/Utilities
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-extra = %{version}-%{release}
Requires:       python-%{name} = %{version}-%{release}
Requires:       kio-%{name} = %{version}-%{release}
Requires:       plasma-runner-%{name}

%description -n %{name}-full
This packages provides the complete recoll installation:

* recoll: The main application
* recoll-extra: Recoll extra indexing packages
* python-recol: Python extension module for recoll
* kio-recoll: KDE KIO slave for recoll
* plasma-runner-recoll: KDE krunner plugin for recoll
#------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

# Remove library to avoid dynamic linkinkg
# when compiling kio recoll.
# The linking made kio recoll non functional
%__rm -f lib/librecoll.so*

pushd kde/kioslave/kio_recoll
%cmake_kde4
%make
%makeinstall_std
popd

cat > %{name}.lang << EOF
%lang(cs) %{_datadir}/%{name}/translations/%{name}_cs.qm
%lang(de) %{_datadir}/%{name}/translations/%{name}_de.qm
%lang(el) %{_datadir}/%{name}/translations/%{name}_el.qm
%lang(es) %{_datadir}/%{name}/translations/%{name}_es.qm
%lang(fr) %{_datadir}/%{name}/translations/%{name}_fr.qm
%lang(it) %{_datadir}/%{name}/translations/%{name}_it.qm
%lang(lt) %{_datadir}/%{name}/translations/%{name}_lt.qm
%lang(ru) %{_datadir}/%{name}/translations/%{name}_ru.qm
%lang(tr) %{_datadir}/%{name}/translations/%{name}_tr.qm
%lang(uk) %{_datadir}/%{name}/translations/%{name}_uk.qm
%lang(xx) %{_datadir}/%{name}/translations/%{name}_xx.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/%{name}_zh_CN.qm
EOF

%files -f %{name}.lang
%doc README
%{_bindir}/*
%{_datadir}/applications/recoll-searchgui.desktop
%{_datadir}/pixmaps/recoll.png
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/recoll.png
%{_mandir}/man1/recoll*
%{_mandir}/man5/recoll*
%{_libdir}/recoll/

#-------------------------------------------------------
%files -n %{name}-extra
#none

#------------------------------------------------------
%files -n python-%{name}
%{python_sitearch}/recoll/
%{python_sitearch}/Recoll-1.0-py%pyver.egg-info

#-------------------------------------------------------
%files -n kio-%{name}
%doc kde/kioslave/kio_recoll/00README.txt
%dir %{_datadir}/apps/kio_recoll
%{_libdir}/kde4/kio_recoll.so
%{_datadir}/apps/kio_recoll/help.html
%{_datadir}/apps/kio_recoll/welcome.html
%{_datadir}/kde4/services/recoll.protocol
%{_datadir}/kde4/services/recollf.protocol

#-------------------------------------------------------
%files -n %{name}-full
# none


%changelog
* Fri Dec 20 2013 dglent <dglent> 1.19.11p1-2.mga4
+ Revision: 559046
- Prevent linking lib with kio-recoll (brakes the application)

* Wed Dec 18 2013 dglent <dglent> 1.19.11p1-1.mga4
+ Revision: 558415
- Fix typos in descriptions
- Exclude library from provides
- Exclude library from requires
- Exclude python library from provides
- Add Requires qt4-common
- Add BR zlib-devel
- Add package recoll-extra
- Add package python-recoll
- Add package recoll-full
- Add lang tags
- Remove surplus in %%setup
- New version 1.19.11p1
- Revert no needed now changes for kio-recoll and library linking (rev#552031)
- Cosmetic change in snippets separators
- Convert tabs to spaces
- Fix some grammar typos in descriptions
- Add %%dir in files
- Add %%doc in kio-recoll
- Fix not working of kio-recoll since v1.19
- Cosmetic chnages in SPEC
- New version 1.19.9
- New version 1.19.9
- New version 1.19.5
- Add requires in kio package
- Remove copy of gpl license
- New version 1.19.4
- Add docs in spec

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.18.1-2.mga3
+ Revision: 380265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 dglent <dglent> 1.18.1-1.mga3
+ Revision: 314471
- New version 1.18.1

* Sun Sep 30 2012 dglent <dglent> 1.17.3-2.mga3
+ Revision: 300817
- Fix kio slave package non build
- Add kio slave package
- Spec cleanup
- Change license to GPLv2

* Sat Jun 02 2012 fwang <fwang> 1.17.3-1.mga3
+ Revision: 253265
- disable python module
- br python
- add br
- new version 1.17.3

* Fri Dec 30 2011 supp <supp> 1.16.2-1.mga2
+ Revision: 189028
- update to 1.16.2

* Fri Oct 07 2011 fwang <fwang> 1.16.1-1.mga2
+ Revision: 152724
- new version 1.16.1

* Wed Sep 28 2011 supp <supp> 1.16.0-1.mga2
+ Revision: 149922
- fix package group
- imported package recoll

